Bug 486869 - Review Request: flickrnet - A .NET library to interact with Flickr
Review Request: flickrnet - A .NET library to interact with Flickr
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Lange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 13:43 EST by Paul Lange
Modified: 2009-02-27 22:28 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.1.5-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 14:30:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Lange 2009-02-22 13:43:15 EST
Spec URL: http://palango.fedorapeople.org/flickrnet/flickrnet.spec
SRPM URL: http://palango.fedorapeople.org/flickrnet/flickrnet-2.1.5-1.fc10.src.rpm
Description: A .NET library to interact with the Flickr API.
Comment 1 David Nielsen 2009-02-22 17:04:12 EST
Initial comments:

You need the standard Mono package build magic including comment:

# Bug 241850 - no Mono on pp64
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha

Notable rpmlint output to care about:
flickrnet-devel.x86_64: E: percent-in-provides pkgconfig(flickrnet) %{version}

We always use .NET not .Net as that is the registered name for the framework.

Aside that you clean up nicely after yourself, and the package compiles in mock (x86_64 rawhide, F-10 and F-9)

== formal review ==

- MUST: The package must be named according to the Package Naming Guidelines
OK

- MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec
OK

- MUST: The package must meet the Packaging Guidelines.
OK

- MUST: The package must be licensed with a Fedora approved license and meet
the  Licensing Guidelines .
OK

- MUST: The License field in the package spec file must match the actual
license.
OK

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
License file not included.

- MUST: The spec file must be written in American English.
OK

- MUST: The spec file for the package MUST be legible.
OK

- MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
d20fe0d25a3888300f21e5ad3895c141  ../YOURS/FlickrNet-25207.zip
d20fe0d25a3888300f21e5ad3895c141  ../UPSTREAMS/FlickrNet-25207.zip
OK

- MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
FAIL see above.

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.
OK

- MUST: A package must not contain any duplicate files in the %files listing.
OK

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
OK

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
OK

- MUST: Each package must consistently use macros.
OK

- MUST: The package must contain code, or permissable content.
OK

- MUST: Header files must be in a -devel package.
OK

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
OK

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
OK

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
OK

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
OK

- MUST: All filenames in rpm packages must be valid UTF-8.
OK

APPROVED, provided you fix the noted issues before importing.
Comment 2 Paul Lange 2009-02-22 17:50:49 EST
New Package CVS Request
=======================
Package Name: flickrnet
Short Description: .NET library to interact with the Flickr API
Owners: palango
Branches: F-9, F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-02-24 16:10:52 EST
cvs done.
Comment 4 Fedora Update System 2009-02-26 16:36:53 EST
flickrnet-2.1.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/flickrnet-2.1.5-1.fc10
Comment 5 Fedora Update System 2009-02-26 16:39:04 EST
flickrnet-2.1.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/flickrnet-2.1.5-1.fc9
Comment 6 Fedora Update System 2009-02-27 22:23:30 EST
flickrnet-2.1.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-02-27 22:28:46 EST
flickrnet-2.1.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.